X-CD-ROAST(1)

NAME
xcdroast - graphical frontend to create or copy CDs.

SYNOPSIS
xcdroast [-d <debug-level>] [-c <config-directory>] [-l <lib-directory>] [-o] [-n] [-w] [-a] [-f "<list of scsi-devices>"] [--display <display>] [--no-xshm]

DESCRIPTION
xcdroast is a program-package dedicated to easy CD creation. It combines command line tools like cdrecord, cdda2wav, readcd and mkisofs into a graphical user interface.

With a few simple mouse-clicks you can copy or create your own CDs, without long study of any command line parameters.

  OPTIONS

-d <debug-level>
    Run X-CD-Roast in debug mode, which causes a lot of text to be output on the console. Set the debug-level to 10 and reproduce the problem to generate a useable bug-report.

-c <config-directory>
    Sets the directory where X-CD-Roast should look for the config files. By default this is set to $HOME/.xcdroast.

-l <lib-directory>
    Sets the directory where X-CD-Roast should look for its library files (like icons, translations and sounds). By default this is /usr/lib/xcdroast-0.98 or /usr/local/lib/xcdroast-0.98 (depends on your installation).

-o  This disables multibyte font support. This might be handy when you have problems to display some special characters in the on-screen texts. (e.g. german umlauts) Note: This option has no effect on GTK2 builds.

-n  Disables the cdrtools version check and allows X-CD-Roast to start when even wrong versions of cdrecord, mkisofs, readcd or cdda2wav are installed. Use at own risk! This also overrides the forced exit when you don't meet the 800x600 minimal resolution requirement.

-w  Don't use cdrecord-ProDVD, even when it is installed. Sometimes it may be desireable to use only the free version of cdrecord. In this case you can disable ProDVD support here without needing to deinstall the ProDVD-binary.

-a  Disable additional scans for CD-Writers or CD-Readers. In addition to the usual SCSI transport support (generic scsi), X-CD-Roast also supports the experimental ATA-transport of the latest linux kernels. If you set this option then this extra support will be disabled. On Mac OS X this option will disable the display of the autodiskmount daemon handling code. Useful when you have other means to handle the mount issue.

-f "<list of scsi-devices>"
    Will not scan for devices, but force X-CD-Roast to use the given ones (semicolon seperated list). Most useful on AIX or OpenBSD system where scanning fails. Can be also used to use remote-SCSI devices. You can set these devices also within the setup menu.

--display <display>
    Use the designated X display.

--no-xshm
    Do not use the X Shared Memory extension. If X-CD-Roast is being displayed on a remote X server, this probably needs to be enabled. Also useful for any X server that doesn't properly support the X shared memory extension. This will result in slower performance than with X shared memory enabled.

Multiple concurrent instances
It is possible to start X-CD-Roast more than once at the same time. This way you can write to several CD-Writers if your system can handle the load.

Be sure to give each instance of X-CD-Roast own devices and don't scan for devices while another copy of X-CD-Roast is already running. Also note that writing two CDs at the same time requires that the writers are at a own IDE bus each. (Real SCSI devices should be fine.)

BUGS
This 'man' page is to short. Really useable information can be found in the documentation included with X-CD-Roast, in the FAQ on http://www.xcdroast.org/faq or the online tutorial on http://www.xcdroast.org/manual

AUTHOR
Thomas Niederreiter <tn@xcdroast.org>

Homepage of X-CD-Roast: http://www.xcdroast.org

SEE ALSO
cdrecord(1), cdda2wav(1), readcd(1), mkisofs(8).